#!/bin/bash
# get or set instmode's value

tmp_file="/tmp/xrasmxioecnz"

select_inst_mode(){
    python /usr/lib/new_install/text/select_inst_mode.py
    instmode=$(cat ${tmp_file})
    rm ${tmp_file}
}

[ -z $instmode ] && instmode=`cat /proc/cmdline | sed 's/.*instmode=\([^ ]*\).*/\1/'`

if [ "$instmode" = "HdInstall" -o "$instmode" = "NetInstall" -o "$instmode" = "NoRaid" ];then
    select_inst_mode
fi

export instmode
